import { StreamLanguage } from '@codemirror/language';
import { javascript } from '@codemirror/lang-javascript';
import { html } from '@codemirror/lang-html';
import { css } from '@codemirror/lang-css';
import { json } from '@codemirror/lang-json';
import { python } from '@codemirror/lang-python';
import { xml } from '@codemirror/lang-xml';
import { sql } from '@codemirror/lang-sql';
import { java } from '@codemirror/lang-java';
import { rust } from '@codemirror/lang-rust';
import { cpp } from '@codemirror/lang-cpp';
import { lezer } from '@codemirror/lang-lezer';
import { php } from '@codemirror/lang-php';
import { wast } from '@codemirror/lang-wast';
export declare const langs: {
    apl: () => StreamLanguage<unknown>;
    asciiArmor: () => StreamLanguage<unknown>;
    asterisk: () => StreamLanguage<unknown>;
    c: () => StreamLanguage<unknown>;
    csharp: () => import("@codemirror/language").LanguageSupport;
    scala: () => StreamLanguage<unknown>;
    solidity: () => import("@codemirror/language").LanguageSupport;
    kotlin: () => StreamLanguage<unknown>;
    shader: () => StreamLanguage<unknown>;
    nesC: () => StreamLanguage<unknown>;
    objectiveC: () => StreamLanguage<unknown>;
    objectiveCpp: () => StreamLanguage<unknown>;
    squirrel: () => StreamLanguage<unknown>;
    ceylon: () => StreamLanguage<unknown>;
    dart: () => StreamLanguage<unknown>;
    cmake: () => StreamLanguage<unknown>;
    cobol: () => StreamLanguage<unknown>;
    commonLisp: () => StreamLanguage<unknown>;
    crystal: () => StreamLanguage<unknown>;
    cypher: () => StreamLanguage<unknown>;
    d: () => StreamLanguage<unknown>;
    diff: () => StreamLanguage<unknown>;
    dtd: () => StreamLanguage<unknown>;
    dylan: () => StreamLanguage<unknown>;
    ebnf: () => StreamLanguage<unknown>;
    ecl: () => StreamLanguage<unknown>;
    eiffel: () => StreamLanguage<unknown>;
    elm: () => StreamLanguage<unknown>;
    factor: () => StreamLanguage<unknown>;
    fcl: () => StreamLanguage<unknown>;
    forth: () => StreamLanguage<unknown>;
    fortran: () => StreamLanguage<unknown>;
    gas: () => StreamLanguage<unknown>;
    gherkin: () => StreamLanguage<unknown>;
    groovy: () => StreamLanguage<unknown>;
    haskell: () => StreamLanguage<unknown>;
    haxe: () => StreamLanguage<unknown>;
    http: () => StreamLanguage<unknown>;
    idl: () => StreamLanguage<unknown>;
    jinja2: () => StreamLanguage<unknown>;
    mathematica: () => StreamLanguage<unknown>;
    mbox: () => StreamLanguage<unknown>;
    mirc: () => StreamLanguage<unknown>;
    modelica: () => StreamLanguage<unknown>;
    mscgen: () => StreamLanguage<unknown>;
    mumps: () => StreamLanguage<unknown>;
    nsis: () => StreamLanguage<unknown>;
    ntriples: () => StreamLanguage<unknown>;
    octave: () => StreamLanguage<unknown>;
    oz: () => StreamLanguage<unknown>;
    pig: () => StreamLanguage<unknown>;
    properties: () => StreamLanguage<unknown>;
    protobuf: () => StreamLanguage<unknown>;
    puppet: () => StreamLanguage<unknown>;
    q: () => StreamLanguage<unknown>;
    sas: () => StreamLanguage<unknown>;
    sass: () => import("@codemirror/language").LanguageSupport;
    liquid: () => import("@codemirror/language").LanguageSupport;
    mermaid: () => import("@codemirror/language").LanguageSupport;
    nix: () => import("@codemirror/language").LanguageSupport;
    svelte: () => import("@codemirror/language").LanguageSupport;
    sieve: () => StreamLanguage<unknown>;
    smalltalk: () => StreamLanguage<unknown>;
    solr: () => StreamLanguage<unknown>;
    sparql: () => StreamLanguage<unknown>;
    spreadsheet: () => StreamLanguage<unknown>;
    stex: () => StreamLanguage<unknown>;
    textile: () => StreamLanguage<unknown>;
    tiddlyWiki: () => StreamLanguage<unknown>;
    tiki: () => StreamLanguage<unknown>;
    troff: () => StreamLanguage<unknown>;
    ttcn: () => StreamLanguage<unknown>;
    turtle: () => StreamLanguage<unknown>;
    velocity: () => StreamLanguage<unknown>;
    verilog: () => StreamLanguage<unknown>;
    vhdl: () => StreamLanguage<unknown>;
    webIDL: () => StreamLanguage<unknown>;
    xQuery: () => StreamLanguage<unknown>;
    yacas: () => StreamLanguage<unknown>;
    z80: () => StreamLanguage<unknown>;
    wast: typeof wast;
    javascript: typeof javascript;
    jsx: () => import("@codemirror/language").LanguageSupport;
    typescript: () => import("@codemirror/language").LanguageSupport;
    tsx: () => import("@codemirror/language").LanguageSupport;
    vue: () => import("@codemirror/language").LanguageSupport;
    angular: () => import("@codemirror/language").LanguageSupport;
    json: typeof json;
    html: typeof html;
    css: typeof css;
    python: typeof python;
    markdown: () => import("@codemirror/language").LanguageSupport;
    xml: typeof xml;
    sql: typeof sql;
    mysql: () => import("@codemirror/language").LanguageSupport;
    pgsql: () => import("@codemirror/language").LanguageSupport;
    java: typeof java;
    rust: typeof rust;
    cpp: typeof cpp;
    lezer: typeof lezer;
    php: typeof php;
    go: () => StreamLanguage<unknown>;
    shell: () => StreamLanguage<unknown>;
    lua: () => StreamLanguage<unknown>;
    swift: () => StreamLanguage<unknown>;
    tcl: () => StreamLanguage<unknown>;
    yaml: () => StreamLanguage<unknown>;
    vb: () => StreamLanguage<unknown>;
    powershell: () => StreamLanguage<unknown>;
    brainfuck: () => StreamLanguage<unknown>;
    stylus: () => StreamLanguage<unknown>;
    erlang: () => StreamLanguage<unknown>;
    nginx: () => StreamLanguage<unknown>;
    perl: () => StreamLanguage<unknown>;
    ruby: () => StreamLanguage<unknown>;
    pascal: () => StreamLanguage<unknown>;
    livescript: () => StreamLanguage<unknown>;
    less: () => import("@codemirror/language").LanguageSupport;
    scheme: () => StreamLanguage<unknown>;
    toml: () => StreamLanguage<unknown>;
    vbscript: () => StreamLanguage<unknown>;
    clojure: () => import("@codemirror/language").LanguageSupport;
    coffeescript: () => StreamLanguage<unknown>;
    julia: () => StreamLanguage<unknown>;
    dockerfile: () => StreamLanguage<unknown>;
    r: () => StreamLanguage<unknown>;
};
/** Language list */
export declare const langNames: ("apl" | "asciiArmor" | "asterisk" | "c" | "csharp" | "scala" | "solidity" | "kotlin" | "shader" | "nesC" | "objectiveC" | "objectiveCpp" | "squirrel" | "ceylon" | "dart" | "cmake" | "cobol" | "commonLisp" | "crystal" | "cypher" | "d" | "diff" | "dtd" | "dylan" | "ebnf" | "ecl" | "eiffel" | "elm" | "factor" | "fcl" | "forth" | "fortran" | "gas" | "gherkin" | "groovy" | "haskell" | "haxe" | "http" | "idl" | "jinja2" | "mathematica" | "mbox" | "mirc" | "modelica" | "mscgen" | "mumps" | "nsis" | "ntriples" | "octave" | "oz" | "pig" | "properties" | "protobuf" | "puppet" | "q" | "sas" | "sass" | "liquid" | "mermaid" | "nix" | "svelte" | "sieve" | "smalltalk" | "solr" | "sparql" | "spreadsheet" | "stex" | "textile" | "tiddlyWiki" | "tiki" | "troff" | "ttcn" | "turtle" | "velocity" | "verilog" | "vhdl" | "webIDL" | "xQuery" | "yacas" | "z80" | "wast" | "javascript" | "jsx" | "typescript" | "tsx" | "vue" | "angular" | "json" | "html" | "css" | "python" | "markdown" | "xml" | "sql" | "mysql" | "pgsql" | "java" | "rust" | "cpp" | "lezer" | "php" | "go" | "shell" | "lua" | "swift" | "tcl" | "yaml" | "vb" | "powershell" | "brainfuck" | "stylus" | "erlang" | "nginx" | "perl" | "ruby" | "pascal" | "livescript" | "less" | "scheme" | "toml" | "vbscript" | "clojure" | "coffeescript" | "julia" | "dockerfile" | "r")[];
export type LanguageName = keyof typeof langs;
export declare function loadLanguage(name: LanguageName): StreamLanguage<unknown> | import("@codemirror/language").LanguageSupport | null;
